## cps2emu 0.6

=== selector/Makefile ===
NAME = cps2run
DEVKIT = d:/Language/devkitGP2X
CONFIG = cps2_config
CROSS_COMPILE = $(DEVKIT)/bin/arm-linux-

INC_BASE = -I$(DEVKIT)/include -I$(DEVKIT)/include/SDL -I$(DEVKIT)/sysroot/usr/include
LIB_BASE = -L$(DEVKIT)/lib -L$(DEVKIT)/sysroot/usr/lib

CFLAGS =  -Wall -D__GP2X__ -D__HAYMINIMAL__ -I minimal -I readpng -I minizip $(INC_BASE)
CFLAGS += -DCONFIG_FILE="\"$(CONFIG)\""

vpath %.c src:minimal:readpng:minizip
vpath %.h src:minimal:readpng:minizip

#CC = $(CROSS_COMPILE)gcc
CC = gcc
STRIP = #$(CROSS_COMPILE)strip

# CFLAGS += -O3
LDFLAGS = $(LIB_BASE) -static
LIBS = -lz -lpng -lm

TARGET = $(NAME)
OBJS = selector.o minimal.o lang.o readpng.o unzip.o ioapi.o

ALL_TARGETS = $(TARGET) 

all : $(ALL_TARGETS)

$(TARGET) : $(OBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $(TARGET) $(OBJS) $(LIBS)
	$(STRIP) $(TARGET)

clean:
	rm -f $(OBJS) $(TARGET)

## cps2emu 0.5

=== debian/changelog ===
cps2emu (0.5) unstable; urgency=high
  * postinst revised
  * first release for extras-devel
  * cps2gui package merged

 -- Marcus Fazzi (Anunakin) <anunakin@ieee.org>  Tue, 26 Oct 2010 10:11:55 -0300

cps2emu (0.4) unstable; urgency=low
  * romcnv renamed to cps2romcnv
  * cps2romcnv and cps2emu compiles with same Makefile
  * Now we have a cps2gui!
  * cps2gui, not in same Makefile and .deb, for now! ;)

 -- Marcus Fazzi (Anunakin) <anunakin@ieee.org>  Sat, 23 Oct 2010 22:38:13 -0300

cps2emu (0.3) unstable; urgency=low
  * Support to PS3 Dualshock/Sixaxis controlers.

 -- Marcus Fazzi (Anunakin) <anunakin@ieee.org>  Thu, 21 Oct 2010 09:36:45 -0300

cps2emu (0.2) unstable; urgency=low
  * XSBC-Bugtracker added to debian/control
  * extras-devel release
  * Insane ARM Cortex A8 CFLAGs!

 -- Marcus Fazzi (Anunakin) <anunakin@ieee.org>  Tue, 19 Oct 2010 14:46:15 -0300

cps2emu (0.1) unstable; urgency=high
  * Binaries and Sources from garage.maemo.org.

 -- Oriol Farras <wereoffs@gmail.com>  Mon, 18 Jan 2010 09:34:34 -0300

=== debian/control ===
Source: cps2emu
Section: user/games
Priority: extra
Maintainer: Marcus Fazzi (Anunakin) <anunakin@ieee.org>
Build-Depends: debhelper (>= 4.0.0), xutils-dev, libreadline4-dev, libxt-dev, libhildon1-dev, libglib2.0-0, libsdl1.2, libxrender1, zlib1g-dev, libqt4-gui, libpulse0,  libqt4-core, libqt4-dbus, libqt4-dev, zlib1g, libxdmcp6, libfontconfig1, libqt4-xml, libsm6, libxext6, libexpat1, libasound2, opengles-sgx-img-common, libxau6, libfreetype6, libpng12-0, libsdl1.2-dev, libdbus-1-3, libice6, libx11-6
Standards-Version: 3.6.1

Package: cps2emu
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: cps2gui
XSBC-Bugtracker: mailto:anunakin@ieee.org?subject=CPS2 bug!
Description: CPS2 emulator for Linux Maemo!
 You need copy your zipped ROMs to "~/MyDocs/ROMs/CPS2"!

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Detect name of new compiler, take care that debian uses amd64 instead of x86_64
CPU_SOURCE := $(subst amd64,x86_64,$(shell dpkg-architecture -qDEB_BUILD_ARCH))
CPU_TARGET := $(subst amd64,x86_64,$(shell dpkg-architecture -qDEB_HOST_ARCH))
# Fixup armel, too
CPU_SOURCE := $(subst armel,arm,$(CPU_SOURCE))
CPU_TARGET := $(subst armel,arm,$(CPU_TARGET))

ifeq ($(CPU_TARGET),arm)
MAKEFILE=Makefile.ARMel
endif
ifeq ($(CPU_TARGET),i386)
MAKEFILE=Makefile.i386
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.		
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE) -f $(MAKEFILE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	#cd source
	# Add here commands to install the package into debian/cps2emu.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/cps2emu	
	
	mkdir -p $(CURDIR)/debian/cps2emu/opt/cps2emu/bin
		
	#Copy compiled binary
	cp $(CURDIR)/cps2emu $(CURDIR)/debian/cps2emu/opt/cps2emu/bin/
	cp $(CURDIR)/cps2romcnv $(CURDIR)/debian/cps2emu/opt/cps2emu/bin/
	#Qt4 GUI
	cp $(CURDIR)/cps2gui/cps2gui $(CURDIR)/debian/cps2emu/opt/cps2emu/bin/
	
	#Create binary folder
	mkdir -p $(CURDIR)/debian/cps2emu/usr/bin
	
	#With Qt4 and Icon, we dont need loaders.
	#Loaders
	#cp $(CURDIR)/cps2emu.sh $(CURDIR)/debian/cps2emu/usr/bin/
	#cp $(CURDIR)/cps2romcnv.sh $(CURDIR)/debian/cps2emu/usr/bin/
	
	#copy info files
	mkdir $(CURDIR)/debian/cps2emu/opt/cps2emu/config/
	cp -r $(CURDIR)/config/* $(CURDIR)/debian/cps2emu/opt/cps2emu/config/
	
	# maemo stuff
	# ROM folder
	mkdir -p $(CURDIR)/debian/cps2emu/home/user/MyDocs/ROMs/CPS2	
	 
	#Maemo Desktop Icon
	mkdir -p $(CURDIR)/debian/cps2emu/usr/share/applications/hildon
	cp $(CURDIR)/cps2emu.desktop $(CURDIR)/debian/cps2emu/usr/share/applications/hildon

	#Icones
	mkdir -p $(CURDIR)/debian/cps2emu/usr/share/pixmaps
	cp $(CURDIR)/cps2emu.png $(CURDIR)/debian/cps2emu/usr/share/pixmaps/

	#Links simbolicos
	#cps2romcnv cps2emu cps2gui
	ln -sf /opt/cps2emu/bin/cps2emu $(CURDIR)/debian/cps2emu/usr/bin/
	ln -sf /opt/cps2emu/bin/cps2romcnv $(CURDIR)/debian/cps2emu/usr/bin/
	ln -sf /opt/cps2emu/bin/cps2gui $(CURDIR)/debian/cps2emu/usr/bin/
	
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	#dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## cps2emu 0.6

=== debian/changelog ===
cps2emu (0.6) unstable; urgency=high
  * postinst revised, again
  * We not need ~/MyDocs/ROMs/CPS2 anymore
  * State SAVE and LOAD working, use 'l' to show MENU
  * CPS2gui now can load from any folder
  * Last file and folder used, when reopen cps2gui.
  * HiScore working, romname.hi are saved to "./hi"
  * Save state on exit and load state on start a game, saved to "./state"
  * Autocreate ./nvram and ./hi
  * Config file at ~/.config/cps2emu/cps2gui.conf

 -- Marcus Fazzi (Anunakin) <anunakin@ieee.org>  Tue, 26 Oct 2010 10:11:55 -0300

=== debian/rules ===
--- 
+++ 
@@ -75,8 +75,8 @@
 	cp -r $(CURDIR)/config/* $(CURDIR)/debian/cps2emu/opt/cps2emu/config/
 	
 	# maemo stuff
-	# ROM folder
-	mkdir -p $(CURDIR)/debian/cps2emu/home/user/MyDocs/ROMs/CPS2	
+	# CONFIG folder (CPS2gui make this step)
+	#mkdir -p $(CURDIR)/debian/cps2emu/home/user/.cps2emu/
 	 
 	#Maemo Desktop Icon
 	mkdir -p $(CURDIR)/debian/cps2emu/usr/share/applications/hildon

## cps2emu 0.6-r1

=== debian/changelog ===
cps2emu (0.6-r1) unstable; urgency=low
  * postinst revised, again
  * We not need ~/MyDocs/ROMs/CPS2 anymore
  * State SAVE and LOAD working, use 'l' to show MENU
  * CPS2gui now can load from any folder
  * Last file and folder used, when reopen cps2gui.
  * HiScore working, romname.hi are saved to "./hi"
  * Save state on exit and load state on start a game, saved to "./state"
  * Autocreate ./nvram and ./hi
  * Config file at ~/.config/cps2emu/cps2gui.conf

 -- Marcus Fazzi (Anunakin) <anunakin@ieee.org>  Thu, 28 Oct 2010 15:56:13 -0300
